Overview | Modules | Class Hierarchy | Classes | Members

# tlp::InteractorChainOfResponsibility Class Reference

`#include <InteractorChainOfResponsibility.h>`

Inherits tlp::Interactor.

Inherited by tlp::NodeLinkDiagramComponentInteractor.

Inheritance diagram for tlp::InteractorChainOfResponsibility:

[legend]
Collaboration diagram for tlp::InteractorChainOfResponsibility:

[legend]
List of all members.

## Detailed Description

Tulip interactor abstract class with chain of responsibility.

## Public Member Functions

- InteractorChainOfResponsibility (const QString &iconPath, const QString &text)
- ~InteractorChainOfResponsibility ()
- virtual void setView (View *view)
- virtual void install (QWidget *)
- virtual void remove ()
- virtual InteractorAction * getAction ()
- virtual void compute (GlMainWidget *)
- virtual void draw (GlMainWidget *)
- virtual void construct ()

## Protected Member Functions

- void pushInteractorComponent (InteractorComponent *component)

## Protected Attributes

- View * view
- QString interactorIconPath
- QString interactorText
- InteractorAction * action
- std::vector< InteractorComponent * > interactorComponents
- std::vector< InteractorComponent * > installedInteractorComponents

## Constructor & Destructor Documentation

tlp::InteractorChainOfResponsibility::InteractorChainOfResponsibility | ( | const QString & | iconPath,
|  | const QString & | text
| ) |

| Default constructor

tlp::InteractorChainOfResponsibility::~InteractorChainOfResponsibility | ( |  | ) |

| Default destructor

## Member Function Documentation

virtual void tlp::InteractorChainOfResponsibility::compute | ( | GlMainWidget * |  | ) | `[virtual]`

| Compute InteractorComponents include in this interactor Implements tlp::Interactor.

virtual void tlp::InteractorChainOfResponsibility::construct | ( |  | ) | `[inline, virtual]`

| Construct chain of responsibility Reimplemented in tlp::InteractorNavigation, tlp::InteractorGetInformation, tlp::InteractorSelection, tlp::InteractorSelectionModifier, tlp::InteractorMagicSelection, tlp::InteractorRectangleZoom, tlp::InteractorDeleteElement, tlp::InteractorAddNode, tlp::InteractorAddEdge, and tlp::InteractorEditEdgeBends.

virtual void tlp::InteractorChainOfResponsibility::draw | ( | GlMainWidget * |  | ) | `[virtual]`

| Draw InteractorComponents include in this interactor Implements tlp::Interactor.

virtual InteractorAction* tlp::InteractorChainOfResponsibility::getAction | ( |  | ) | `[virtual]`

| return QAction of this interactor Implements tlp::Interactor.

virtual void tlp::InteractorChainOfResponsibility::install | ( | QWidget * |  | ) | `[virtual]`

| Install eventFilters of interactor on given widget Implements tlp::Interactor.

void tlp::InteractorChainOfResponsibility::pushInteractorComponent | ( | InteractorComponent * | component | ) | `[protected]`

| Push an interactor component on the top of the chain of responsibility Now interactor component destruction is the responsibility of InteractorChainOfResponsibility

virtual void tlp::InteractorChainOfResponsibility::remove | ( |  | ) | `[virtual]`

| Remove eventFilters of interactor Implements tlp::Interactor.

virtual void tlp::InteractorChainOfResponsibility::setView | ( | View * | view | ) | `[virtual]`

| Set the view attached with this interactor Implements tlp::Interactor.

## Member Data Documentation

InteractorAction* tlp::InteractorChainOfResponsibility::action`[protected]`

std::vector<InteractorComponent *> tlp::InteractorChainOfResponsibility::installedInteractorComponents`[protected]`

std::vector<InteractorComponent *> tlp::InteractorChainOfResponsibility::interactorComponents`[protected]`

QString tlp::InteractorChainOfResponsibility::interactorIconPath`[protected]`

QString tlp::InteractorChainOfResponsibility::interactorText`[protected]`

View* tlp::InteractorChainOfResponsibility::view`[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2010